import java.math.BigInteger;

public class Position {
    public int posX;
    public int posY;
    public char displayChar;

    public Position(int x, int y)
    {
        posX = x;
        posY = y;
        displayChar = DisplayChars.DEFAULT.getCharacter();
    }

    @Override
    public String toString() {
        return displayChar + "";
    }

    @Override
    public boolean equals(Object o) {
        if (o instanceof Position p)  {
            return p.posX == this.posX && p.posY == this.posY;
        }

        return false;
    }



}
